import { Signer } from 'ethers';
import Safe from 'Safe';
export interface DeploymentOptions {
    nonce?: number;
    data?: string;
    callbackAddress?: string;
}
interface SafeAccountConfiguration {
    owners: string[];
    threshold: number;
    to?: string;
    data?: string;
    fallbackHandler?: string;
    paymentToken?: string;
    payment?: number;
    paymentReceiver?: string;
}
declare class EthersSafeFactory {
    #private;
    validateIsDeployed: (address: string, name: string) => Promise<void>;
    constructor(signer: Signer | JsonRpcSigner, proxyFactoryAddress: string, safeSingletonAddress: string);
    createSafe(safeAccountConfiguration: SafeAccountConfiguration, deploymentOptions?: DeploymentOptions): Promise<Safe>;
    private createDeployProxyTransaction;
    private deployProxy;
}
export default EthersSafeFactory;
